﻿EVENTS = 20
COUNTRIES = 10

countryNames = [None] * COUNTRIES
eventDescriptions = [[None] * COUNTRIES for i in range(EVENTS)]
eventYears = [[None] * COUNTRIES for i in range(EVENTS)]
for j in range(COUNTRIES):
    countryNames[j] = input("Enter Country No." + str(j + 1) + ": ")
    for i in range(EVENTS):
        eventDescriptions[i][j] = input("Enter description for event No" + str(i + 1) + ": ")
        eventYears[i][j] = int(input("Enter year for event No" + str(i + 1) + ": "))

needle = int(input("Enter a year to search: "))

for j in range(COUNTRIES):
    top = 0
    bottom = EVENTS - 1
    found = False
    while top <= bottom and not found:
        middle = (top + bottom) // 2

        if needle < eventYears[middle][j]:
            bottom = middle - 1
        elif needle > eventYears[middle][j]:
            top = middle + 1
        else:
            found = True

    if not found:
        print("No event found for country", countryNames[j])
    else:
        print("Country:", countryNames[j])
        print("Year:", eventYears[middle][j])
        print("Event:", eventDescriptions[middle][j])
