﻿class FahrenheitToCelsius:
    def __init__(self, value):
        self.setTemperature(value)  #Use a method to set the value of the field temperature

    #This method gets the temperature
    def getTemperature(self):
        return 5.0 / 9.0 * (self.temperature - 32.0)

    #This method sets the temperature
    def setTemperature(self, value):
        if value >= -459.67: 
            self.temperature = value
        else:
            raise ValueError("There is no temperature below -459.67")

#Main code starts here
x = FahrenheitToCelsius(-50)   #Create object x. This calls the constructor which,
                               #in turn, calls the setter.

print(x.getTemperature())
