﻿EVENTS = 20
COUNTRIES = 10

countryNames = [None] * COUNTRIES
eventDescriptions = [[None] * COUNTRIES for i in range(EVENTS)]
for j in range(COUNTRIES):
    countryNames[j] = input("Enter Country No" + str(j + 1) + ": ")
    for i in range(EVENTS):
        eventDescriptions[i][j] = input("Enter description for event No" + str(i + 1) + ": ")

needle = input("Enter a country to search: ").upper()

#Country names are entered in alphabetical order.
#Use the binary search algorithm to search for needle.
left = 0
right = EVENTS - 1
found = False
while left <= right and not found:
    middle = (left + right) // 2

    if needle < countryNames[middle].upper():
        right = middle - 1
    elif needle > countryNames[middle].upper():
        left = middle + 1
    else:
        found = True

if not found:
    print("No country found!")
else:
    for i in range(EVENTS):
        print(eventDescriptions[i][middle])
