﻿#Define the class SchoolMember.
class SchoolMember:
    def __init__(self, name, age):
        self.name = name
        self.age = age
        print("A school member was initialized")

#Define the class Teacher. It inherits the class SchoolMember.
class Teacher(SchoolMember):
    def __init__(self, name, age, salary):
        #Call the constructor of the class SchoolMember
        super().__init__(name, age)  

        self.salary = salary   #This is an additional field for this class
        print("A teacher was initialized") #This is an additional statement for this constructor

    #This is an additional method for this class
    def displayValues(self):
        print("Name:", self.name)
        print("Age:", self.age)
        print("Salary:", self.salary)

#Define the class Student. It inherits the class SchoolMember.
class Student(SchoolMember):
    def __init__(self, name, age, finalGrade):
        #Call the constructor of the class SchoolMember
        super().__init__(name, age)

        self.finalGrade = finalGrade  #This is an additional field for this class
        print("A student was initialized") #This is an additional statement for this constructor

    #This is an additional method for this class
    def displayValues(self):
        print("Name:", self.name)
        print("Age:", self.age)
        print("Final grade:", self.finalGrade)

#Main code starts here
teacher1 = Teacher("Mr. John Scott", 43, 35000)
teacher2 = Teacher("Mrs. Ann Carter", 5, 32000)

student1 = Student("Peter Nelson", 14, "A")
student2 = Student("Helen Morgan", 13, "B")

teacher1.displayValues()
teacher2.displayValues()
student1.displayValues()
student2.displayValues()
